
/*General*/
body {
    width: 100vw;
    margin: 0;
    padding: 0;
    font-family: 'Chelsea Market', cursive;
    background: #87cefa;
}

p {
    margin: 0;
    padding: 10px;
    font-family: 'Chelsea Market', cursive;
}

.trello_container {
    padding: 50px 30px;
}


/*Header create form*/

.trello_create-list-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
    padding: 20px;
    border: 1px solid black;
    border-radius: 5px;
}

.trello_create-list-input {
    width: 100%;
    height: 40px;
    margin-right: 10px;
    padding: 10px 20px;
    font-family: 'Chelsea Market', cursive;
    font-size: 18px;
    border: 1px solid #fff;
    border-radius: 5px;
    box-sizing: border-box;
}

.trello_create-list-input::placeholder {
    padding-left: 10px;
    font-family: 'Chelsea Market', cursive;
    font-size: 15px;
    font-weight: normal;
    font-style: italic;
}

.trello_create-list-btn-add-list {
    flex-shrink: 0;
    width: 208px;
    height: 40px;
    font-family: 'Chelsea Market', cursive;
    font-size: 15px;
    font-weight: normal;
    color: #fff;
    background: #16a085;
    border: 1px solid #fff;
    border-radius: 5px;
    cursor: pointer;
    box-sizing: border-box;
    transition: 0.3s linear;
}

.trello_create-list-btn-add-list:hover {
    background: #1c7430;
}


/*Task List*/

.trello_container-task-list-container {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
}

.trello_tasks-list {
    width: 260px;
    margin-right: 20px;
    margin-bottom: 30px;
    padding: 20px;
    background: #fff;
    border: 1px solid black;
    border-radius: 5px;
}

.trello_tasks-list-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 10px;
}

.trello_tasks-list-title {
    margin: 0 10px 0 0;
    padding: 0;
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    color: #000;
    word-break: break-all;
}

.trello_tasks-list-btn-sort {
    flex-shrink: 0;
    width: 80px;
    height: 30px;
    padding: 5px;
    font-family: 'Chelsea Market', cursive;
    font-size: 14px;
    font-weight: normal;
    color: #fff;
    background: #16a085;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: 0.3s linear;
}

.trello_tasks-list-btn-sort:hover {
    background: #1c7430;
}

.trello_tasks-list-btn-add-task {
    width: 90px;
    height: 30px;
    padding: 5px;
    font-family: 'Chelsea Market', cursive;
    font-size: 12px;
    font-weight: normal;
    color: #fff;
    background: #264b96;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    opacity: 0.6;
    transition: 0.3s linear;
}

.trello_tasks-list-btn-add-task:hover {
    opacity: 1;
}

.trello_tasks-list-btn-delete-list {
    float: right;
    width: 90px;
    height: 30px;
    padding: 5px;
    font-family: 'Chelsea Market', cursive;
    font-size: 12px;
    font-weight: normal;
    color: #fff;
    background: #ff0000;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    opacity: 0.6;
    transition: 0.3s linear;
}

.trello_tasks-list-btn-delete-list:hover {
    opacity: 1;
}



/*Textarea*/

.trello_tasks-card-form {
    box-sizing: border-box;
    width: 100%;
    height: 100px;
    margin: 5px 0;
    padding: 10px 50px 10px 10px;
    font-family: 'Chelsea Market', cursive;
    border-radius: 5px;
    resize: none;
}

.trello_tasks-card-accept-btn {
    position: absolute;
    top: 10px;
    right: 5px;
    width: 40px;
    height: 25px;
    padding: 0;
    font-size: 15px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    background: #1c7430;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.3s linear;
    opacity: 0.5;
}

.trello_tasks-card-accept-btn:hover {
    opacity: 1;
}

.trello_tasks-card-cancel-btn {
    position: absolute;
    bottom: 10px;
    right: 5px;
    width: 40px;
    height: 25px;
    padding: 0;
    font-size: 15px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    background: #ff0000;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    opacity: 0.4;
    transition: 0.3s linear;
}

.trello_tasks-card-cancel-btn:hover {
    opacity: 1;
}


/*Card*/

.trello_tasks-card-container {
    display: flex;
    flex-direction: column;
    min-height: 50px;
    margin: 5px 0;
}

.trello_tasks-card {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    margin: 5px 0;
    padding-left: 5px;
    padding-right: 30px;
    font-size: 14px;
    font-weight: normal;
    color: #000;
    background: #f5f6f7;
    border: 1px solid #000;
    border-radius: 5px;
    word-break: break-all;
    transition: 0.3s linear;
}

.trello_tasks-card:hover {
    border: 1px solid #FF9933;
    cursor: grab;
}

.trello_tasks-card-destroyer-btn {
    position: absolute;
    top: 0;
    right: 0;
    box-sizing: border-box;
    width: 30px;
    height: 30px;
    padding: 0;
    font-size: 12px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    background: #ff6751;
    border: 1px solid #ff6751;
    border-radius: 3px;
    cursor: pointer;
    opacity: 0.4;
    transition: 0.3s linear;
}

.trello_tasks-card-destroyer-btn:hover {
    opacity: 1;
}

.trello_tasks-card-form-container {
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 5px 0;
}



/*Drag & Drop*/

.over {
    opacity: 0.4;
}


/*Responsive*/

@media screen and (max-width: 480px) {

    .trello_create-list-btn-add-list {
        width: 100%;
    }

    .trello_tasks-list {
        margin-right: 0;
    }
}


@media screen and (max-width: 760px) {

    .trello_create-list-container {
        flex-wrap: wrap;
    }

    .trello_create-list-input {
        width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
    }
}